## mumps 5.8.0

=== libseq/Makefile ===
#
#  This file is part of MUMPS 5.8.0, released
#  on Tue May  6 08:27:40 UTC 2025
#
all: staticlibmpiseq

.PHONY: all staticlibmpiseq sharedlibmpiseq clean

topdir = ..
include $(topdir)/Makefile.inc

staticlibmpiseq: libmpiseq$(PLAT)$(LIBEXT)

libmpiseq$(PLAT)$(LIBEXT): mpi.o mpic.o elapse.o
	$(AR)$@ mpi.o mpic.o elapse.o
	$(RANLIB) $@

sharedlibmpiseq:
	$(MAKE) FPIC="$(FPIC_OPT)" libmpiseq$(PLAT)$(LIBEXT_SHARED)

libmpiseq$(PLAT)$(LIBEXT_SHARED): mpi.o mpic.o elapse.o
	$(FC) $(SHARED_OPT) mpi.o mpic.o elapse.o -o libmpiseq$(PLAT)$(LIBEXT_SHARED)

.f.o:
	$(FC) $(OPTF) $(FPIC)              -c $*.f $(OUTF)$*.o
.c.o:
	$(CC) $(OPTC) $(FPIC) $(CDEFS) -I. -c $*.c $(OUTC)$*.o

clean:
	$(RM) *.o *$(LIBEXT)

=== debian/changelog ===
mumps (5.8.0-1exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release:
    - New ABI 5.8
  * Standards-Version: 4.7.2 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * No tab in license text (routine-update)
  * Trim trailing whitespace in changelog (routine-update)
  * Refresh patches.

 -- Francesco Ballarin <ballarin@debian.org>  Sat, 26 Jul 2025 14:10:37 +0000

=== debian/control ===
Source: mumps
Section: devel
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 "Adam C. Powell, IV" <hazelsct@debian.org>,
Build-Depends: dpkg-dev (>= 1.22.5),
 debhelper-compat (= 13),
 gfortran,
 libblas-dev | libopenblas-dev | libatlas-base-dev | libblas.so,
 liblapack-dev | libopenblas-dev | libatlas-base-dev | liblapack.so,
 libptscotch-dev (>= 5.1.7.dfsg-4),
 libscalapack-mpi-dev (>= 2.0.2),
 libscotch-dev,
 mpi-default-dev
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/science-team/mumps.git
Vcs-Browser: https://salsa.debian.org/science-team/mumps
Homepage: http://mumps-solver.org/

Package: libmumps-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 libmumps-headers-dev (= ${source:Version}),
 libmumps-5.8 (= ${binary:Version}),
 libscalapack-mpi-dev,
 mpi-default-dev,
 ${misc:Depends},
Description: Direct linear systems solver - parallel development files
 MUMPS implements a direct solver for large sparse linear systems, with a
 particular focus on symmetric positive definite matrices.  It can
 operate on distributed matrices e.g. over a cluster.  It has Fortran and
 C interfaces, and can interface with ordering tools such as Scotch.

Package: libmumps-headers-dev
Architecture: all
Multi-Arch: foreign
Section: libdevel
Depends: ${misc:Depends}
Breaks: libmumps-dev (<< 5.3.1-3), libmumps-seq-dev  (<< 5.3.1-3)
Replaces: libmumps-dev (<< 5.3.1-3), libmumps-seq-dev  (<< 5.3.1-3)
Description: Direct linear systems solver - development header files
 MUMPS implements a direct solver for large sparse linear systems, with a
 particular focus on symmetric positive definite matrices.  It can
 operate on distributed matrices e.g. over a cluster.  It has Fortran and
 C interfaces, and can interface with ordering tools such as Scotch.
 .
 This package provides MUMPS header files used by libmumps*-dev packages.

Package: libmumps-seq-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 libmumps-dev (= ${binary:Version}),
 libmumps-headers-dev (= ${source:Version}),
 libmumps-seq-5.8 (= ${binary:Version}),
 ${misc:Depends},
Description: Direct linear systems solver - non-parallel development files
 MUMPS implements a direct solver for large sparse linear systems, with a
 particular focus on symmetric positive definite matrices.  It can
 operate on distributed matrices e.g. over a cluster.  It has Fortran and
 C interfaces, and can interface with ordering tools such as Scotch.
 .
 This package is built the MUMPS libseq dummy sequential MPI library.
 Unless you know that you specifically need this, then you almost
 certainly want the libmumps-dev package.

Package: libmumps-5.8
Architecture: any
Section: libs
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 mpi-default-bin,
Description: Direct linear systems solver - parallel shared libraries
 MUMPS implements a direct solver for large sparse linear systems, with a
 particular focus on symmetric positive definite matrices.  It can
 operate on distributed matrices e.g. over a cluster.  It has Fortran and
 C interfaces, and can interface with ordering tools such as Scotch.

Package: libmumps-seq-5.8
Architecture: any
Section: libs
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Direct linear systems solver - non-parallel shared libraries
 MUMPS implements a direct solver for large sparse linear systems, with a
 particular focus on symmetric positive definite matrices.  It can
 operate on distributed matrices e.g. over a cluster.  It has Fortran and
 C interfaces, and can interface with ordering tools such as Scotch.
 .
 This package is built the MUMPS libseq dummy sequential MPI library.
 Unless you know that you specifically need this, then you almost
 certainly want the libmumps-5.8 package.

Package: libmumps-scotch-5.8
Architecture: any
Section: libs
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Direct linear systems solver - Scotch-version shared libraries
 MUMPS implements a direct solver for large sparse linear systems, with a
 particular focus on symmetric positive definite matrices.  It can
 operate on distributed matrices e.g. over a cluster.  It has Fortran and
 C interfaces, and can interface with ordering tools such as Scotch.
 .
 This package provides shared libaries enabling reordering of data using
 SCOTCH.

Package: libmumps-scotch-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 libmumps-dev,
 libmumps-scotch-5.8 (= ${binary:Version}),
 ${misc:Depends},
Description: Direct linear systems solver - Scotch-version development files
 MUMPS implements a direct solver for large sparse linear systems, with a
 particular focus on symmetric positive definite matrices.  It can
 operate on distributed matrices e.g. over a cluster.  It has Fortran and
 C interfaces, and can interface with ordering tools such as Scotch.
 .
 This package provides static libaries enabling reordering of data using
 SCOTCH.

Package: libmumps-ptscotch-5.8
Architecture: any
Section: libs
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Direct linear systems solver - PTScotch-version shared libraries
 MUMPS implements a direct solver for large sparse linear systems, with a
 particular focus on symmetric positive definite matrices.  It can
 operate on distributed matrices e.g. over a cluster.  It has Fortran and
 C interfaces, and can interface with ordering tools such as Scotch.
 .
 This package provides shared libaries enabling reordering of data using
 PTSCOTCH.


Package: libmumps-ptscotch-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 libmumps-dev,
 libmumps-ptscotch-5.8 (= ${binary:Version}),
 ${misc:Depends},
Description: Direct linear systems solver - PTScotch-version development files
 MUMPS implements a direct solver for large sparse linear systems, with a
 particular focus on symmetric positive definite matrices.  It can
 operate on distributed matrices e.g. over a cluster.  It has Fortran and
 C interfaces, and can interface with ordering tools such as Scotch.
 .
 This package provides static libaries enabling reordering of data using
 PTSCOTCH.

Package: libmumps64-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 libmumps-headers-dev (= ${source:Version}),
 libmumps-64pord-5.8 (= ${binary:Version}),
 libscalapack-mpi-dev,
 mpi-default-dev,
 ${misc:Depends},
Description: Direct linear systems solver (64 bit) - parallel development files
 MUMPS implements a direct solver for large sparse linear systems, with a
 particular focus on symmetric positive definite matrices.  It can
 operate on distributed matrices e.g. over a cluster.  It has Fortran and
 C interfaces, and can interface with ordering tools such as Scotch.
 .
 This package supports 64-bit ordering (-DPORD_INTSIZE64).

Package: libmumps64-seq-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 libmumps64-dev (= ${binary:Version}),
 libmumps-headers-dev (= ${source:Version}),
 libmumps-64pord-seq-5.8 (= ${binary:Version}),
 ${misc:Depends},
Description: Direct linear systems solver (64 bit) - non-parallel development files
 MUMPS implements a direct solver for large sparse linear systems, with a
 particular focus on symmetric positive definite matrices.  It can
 operate on distributed matrices e.g. over a cluster.  It has Fortran and
 C interfaces, and can interface with ordering tools such as Scotch.
 .
 This package is built the MUMPS libseq dummy sequential MPI library.
 Unless you know that you specifically need this, then you almost
 certainly want the libmumps64-dev package.
 .
 This package supports 64-bit ordering (-DPORD_INTSIZE64).

Package: libmumps-64pord-5.8
Architecture: any
Section: libs
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 mpi-default-bin,
Description: Direct linear systems solver (64 bit) - parallel shared libraries
 MUMPS implements a direct solver for large sparse linear systems, with a
 particular focus on symmetric positive definite matrices.  It can
 operate on distributed matrices e.g. over a cluster.  It has Fortran and
 C interfaces, and can interface with ordering tools such as Scotch.
 .
 This package supports 64-bit ordering (-DPORD_INTSIZE64).

Package: libmumps-64pord-seq-5.8
Architecture: any
Section: libs
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Direct linear systems solver (64 bit) - non-parallel shared libraries
 MUMPS implements a direct solver for large sparse linear systems, with a
 particular focus on symmetric positive definite matrices.  It can
 operate on distributed matrices e.g. over a cluster.  It has Fortran and
 C interfaces, and can interface with ordering tools such as Scotch.
 .
 This package is built the MUMPS libseq dummy sequential MPI library.
 Unless you know that you specifically need this, then you almost
 certainly want the libmumps-64pord-5.8 package.
 .
 This package supports 64-bit ordering (-DPORD_INTSIZE64).

Package: libmumps-64pord-scotch-5.8
Architecture: any
Section: libs
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Direct linear systems solver (64 bit) - Scotch-version shared libraries
 MUMPS implements a direct solver for large sparse linear systems, with a
 particular focus on symmetric positive definite matrices.  It can
 operate on distributed matrices e.g. over a cluster.  It has Fortran and
 C interfaces, and can interface with ordering tools such as Scotch.
 .
 This package provides shared libaries enabling reordering of data using
 SCOTCH. It supports 64-bit ordering (-DPORD_INTSIZE64).

Package: libmumps64-scotch-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 libmumps64-dev,
 libmumps-64pord-scotch-5.8 (= ${binary:Version}),
 ${misc:Depends},
Description: Direct linear systems solver (64 bit) - Scotch-version development files
 MUMPS implements a direct solver for large sparse linear systems, with a
 particular focus on symmetric positive definite matrices.  It can
 operate on distributed matrices e.g. over a cluster.  It has Fortran and
 C interfaces, and can interface with ordering tools such as Scotch.
 .
 This package provides static libaries enabling reordering of data using
 SCOTCH. It supports 64-bit ordering (-DPORD_INTSIZE64).

Package: libmumps-64pord-ptscotch-5.8
Architecture: any
Section: libs
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Direct linear systems solver (64 bit) - PTScotch-version shared libraries
 MUMPS implements a direct solver for large sparse linear systems, with a
 particular focus on symmetric positive definite matrices.  It can
 operate on distributed matrices e.g. over a cluster.  It has Fortran and
 C interfaces, and can interface with ordering tools such as Scotch.
 .
 This package provides shared libaries enabling reordering of data using
 PTSCOTCH. It supports 64-bit ordering (-DPORD_INTSIZE64).

Package: libmumps64-ptscotch-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends:
 libmumps64-dev,
 libmumps-64pord-ptscotch-5.8 (= ${binary:Version}),
 ${misc:Depends},
Description: Direct linear systems solver (64 bit) - PTScotch-version development files
 MUMPS implements a direct solver for large sparse linear systems, with a
 particular focus on symmetric positive definite matrices.  It can
 operate on distributed matrices e.g. over a cluster.  It has Fortran and
 C interfaces, and can interface with ordering tools such as Scotch.
 .
 This package provides static libaries enabling reordering of data using
 PTSCOTCH. It supports 64-bit ordering (-DPORD_INTSIZE64).

Package: mumps-test
Architecture: any
Section: math
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 mpi-default-bin,
Description: Example/test binaries using MUMPS
 MUMPS implements a direct solver for large sparse linear systems, with a

## mumps 5.8.1

=== examples/Makefile ===
#
#  This file is part of MUMPS 5.8.1, released
#  on Wed Jul 30 16:49:18 UTC 2025
#
topdir = ..
libdir = $(topdir)/lib

default: d

.PHONY: default all s d c z multi clean
.SECONDEXPANSION:

all:	c z s d multi

c:	csimpletest csimpletest_save_restore
z:	zsimpletest zsimpletest_save_restore
s:	ssimpletest ssimpletest_save_restore
d:	dsimpletest dsimpletest_save_restore c_example_save_restore c_example
multi:	multiple_arithmetics_example


include $(topdir)/Makefile.inc



LIBSMUMPS = -L$(libdir) -lsmumps$(PLAT) -lmumps_common$(PLAT)
LIBCMUMPS = -L$(libdir) -lcmumps$(PLAT) -lmumps_common$(PLAT)
LIBSDMUMPS = -L$(libdir) -ldmumps$(PLAT) -lsmumps$(PLAT) -lmumps_common$(PLAT)
LIBCZMUMPS = -L$(libdir) -lzmumps$(PLAT) -lcmumps$(PLAT) -lmumps_common$(PLAT)

ssimpletest:   $$@.o
	$(FL) -o $@ $(OPTL) ssimpletest.o  $(LIBSMUMPS) $(LORDERINGS) $(LIBS) $(RPATH_OPT) $(LIBBLAS) $(LIBOTHERS)

dsimpletest:  $$@.o 
	$(FL) -o $@ $(OPTL) dsimpletest.o  $(LIBSDMUMPS) $(LORDERINGS) $(LIBS) $(RPATH_OPT) $(LIBBLAS) $(LIBOTHERS)

csimpletest:  $$@.o
	$(FL) -o $@ $(OPTL) csimpletest.o  $(LIBCMUMPS) $(LORDERINGS) $(LIBS) $(RPATH_OPT) $(LIBBLAS) $(LIBOTHERS)

zsimpletest:  $$@.o
	$(FL) -o $@ $(OPTL) zsimpletest.o  $(LIBCZMUMPS) $(LORDERINGS) $(LIBS) $(RPATH_OPT) $(LIBBLAS) $(LIBOTHERS)

c_example: $$@.o
	$(FL) -o $@ $(OPTL) $@.o $(LIBSDMUMPS) $(LORDERINGS) $(LIBS) $(RPATH_OPT) $(LIBBLAS) $(LIBOTHERS)


multiple_arithmetics_example: $$@.o
	$(FL) -o $@ $(OPTL) $@.o $(LIBSDMUMPS) $(LIBCZMUMPS) $(LORDERINGS) $(LIBS) $(RPATH_OPT) $(LIBBLAS) $(LIBOTHERS)

ssimpletest_save_restore:   $$@.o
	$(FL) -o $@ $(OPTL) ssimpletest_save_restore.o  $(LIBSMUMPS) $(LORDERINGS) $(LIBS) $(LIBBLAS) $(LIBOTHERS)

dsimpletest_save_restore:  $$@.o 
	$(FL) -o $@ $(OPTL) dsimpletest_save_restore.o  $(LIBSDMUMPS) $(LORDERINGS) $(LIBS) $(LIBBLAS) $(LIBOTHERS)

csimpletest_save_restore:  $$@.o
	$(FL) -o $@ $(OPTL) csimpletest_save_restore.o  $(LIBCMUMPS) $(LORDERINGS) $(LIBS) $(LIBBLAS) $(LIBOTHERS)

zsimpletest_save_restore:  $$@.o
	$(FL) -o $@ $(OPTL) zsimpletest_save_restore.o  $(LIBCZMUMPS) $(LORDERINGS) $(LIBS) $(LIBBLAS) $(LIBOTHERS)

c_example_save_restore: $$@.o
	$(FL) -o $@ $(OPTL) $@.o $(LIBSDMUMPS) $(LORDERINGS) $(LIBS) $(LIBBLAS) $(LIBOTHERS)

.SUFFIXES: .c .F .o
.F.o:
	$(FC) $(OPTF) -I. -I$(topdir)/include -I$(topdir)/src $(INCS) -c $*.F $(OUTF)$*.o
.c.o:
	$(CC) $(OPTC) $(CDEFS) -I. -I$(topdir)/include -I$(topdir)/src $(INCS) -c $*.c $(OUTC)$*.o

clean:
	$(RM) *.o [sdcz]simpletest c_example multiple_arithmetics_example ssimpletest_save_restore dsimpletest_save_restore csimpletest_save_restore zsimpletest_save_restore c_example_save_restore

=== src/Makefile ===
#
#  This file is part of MUMPS 5.8.1, released
#  on Wed Jul 30 16:49:18 UTC 2025
#
#
topdir = ..
libdir = $(topdir)/lib
incdir = $(topdir)/include

default: d

.PHONY: default all s d c z clean libcommon allshared sshared dshared cshared zshared libcommonshared

all: $(incdir)/mumps_int_def.h libcommon s d c z

d: s
z: c
dshared: sshared
zshared: cshared

libcommon: $(incdir)/mumps_int_def.h
	$(MAKE) $(libdir)/libmumps_common$(PLAT)$(LIBEXT)

s: $(incdir)/mumps_int_def.h libcommon
	$(MAKE) ARITH=s $(libdir)/libsmumps$(PLAT)$(LIBEXT)

d: $(incdir)/mumps_int_def.h libcommon
	$(MAKE) ARITH=d $(libdir)/libdmumps$(PLAT)$(LIBEXT)

c: $(incdir)/mumps_int_def.h libcommon
	$(MAKE) ARITH=c $(libdir)/libcmumps$(PLAT)$(LIBEXT)

z: $(incdir)/mumps_int_def.h libcommon
	$(MAKE) ARITH=z $(libdir)/libzmumps$(PLAT)$(LIBEXT)


# Rules for shared libraries
allshared: $(incdir)/mumps_int_def.h libcommonshared sshared dshared cshared zshared
libcommonshared: $(incdir)/mumps_int_def.h
	$(MAKE) FPIC=$(FPIC_OPT) $(libdir)/libmumps_common$(PLAT)$(LIBEXT_SHARED)
sshared: $(incdir)/mumps_int_def.h libcommonshared
	$(MAKE) ARITH=s FPIC=$(FPIC_OPT) $(libdir)/libsmumps$(PLAT)$(LIBEXT_SHARED)
dshared: $(incdir)/mumps_int_def.h libcommonshared
	$(MAKE) ARITH=d FPIC=$(FPIC_OPT) $(libdir)/libdmumps$(PLAT)$(LIBEXT_SHARED)
cshared: $(incdir)/mumps_int_def.h libcommonshared
	$(MAKE) ARITH=c FPIC=$(FPIC_OPT) $(libdir)/libcmumps$(PLAT)$(LIBEXT_SHARED)
zshared: $(incdir)/mumps_int_def.h libcommonshared
	$(MAKE) ARITH=z FPIC=$(FPIC_OPT) $(libdir)/libzmumps$(PLAT)$(LIBEXT_SHARED)




OBJS_COMMON_MOD = \
        ana_blk_m.o\
        ana_omp_m.o\
        ana_orderings_wrappers_m.o\
        double_linked_list.o\
        fac_asm_build_sort_index_ELT_m.o\
        fac_asm_build_sort_index_m.o\
        fac_descband_data_m.o\
        fac_future_niv2_mod.o\
        fac_maprow_data_m.o\
        front_data_mgt_m.o\
        lr_common.o \
        lr_stats.o\
        mumps_comm_buffer_common.o \
        mumps_intr_types_common.o \
        mumps_l0_omp_m.o\
        mumps_load.o\
        mumps_memory_mod.o\
        mumps_mpitoomp_m.o\
        mumps_ooc_common.o\
        mumps_pivnul_mod.o \
        mumps_static_mapping.o\
        omp_tps_common_m.o\
        sol_ds_common_m.o\
        sol_omp_common_m.o\
        tools_common_m.o



# Object files for arithmetic-independent FORTRAN files.
OBJS_COMMON_OTHER = \
        ana_blk.o\
        ana_orderings.o\
        ana_set_ordering.o\
        ana_AMDMF.o\
        bcast_errors.o\
        estim_flops.o\
        mumps_type2_blocking.o\
        mumps_version.o\
        mumps_print_defined.o\
        sol_common.o\
        tools_common.o


# Object files for arithmetic-independent C files.
OBJS_C_COMMON = \
        mumps_addr.o\
        mumps_common.o\
        mumps_config_file_C.o\
        mumps_io.o\
        mumps_io_basic.o\
        mumps_io_err.o\
        mumps_numa.o\
        mumps_io_thread.o\
        mumps_pord.o\
        mumps_metis.o\
        mumps_metis64.o\
        mumps_metis_int.o\
        mumps_scotch.o\
        mumps_scotch64.o\
        mumps_scotch_int.o\
        mumps_register_thread.o\
        mumps_thread.o\
        mumps_thread_affinity.o\
        mumps_flytes.o\
        mumps_save_restore_C.o\










OBJS_MOD_ARITHDEP = \
        $(ARITH)ana_aux.o\
        $(ARITH)ana_aux_par.o\
        $(ARITH)ana_lr.o\
        $(ARITH)fac_asm_master_ELT_m.o\
        $(ARITH)fac_asm_master_m.o\
        $(ARITH)fac_compact_factors_m.o\
        $(ARITH)fac_front_aux.o\
        $(ARITH)fac_front_LU_type1.o\
        $(ARITH)fac_front_LU_type2.o\
        $(ARITH)fac_front_LDLT_type1.o\
        $(ARITH)fac_front_LDLT_type2.o\
        $(ARITH)fac_front_type2_aux.o\
        $(ARITH)fac_sispointers_m.o\
        $(ARITH)fac_lr.o\
        $(ARITH)fac_mem_dynamic.o\
        $(ARITH)fac_omp_m.o\
        $(ARITH)fac_par_m.o\
        $(ARITH)fac_sol_l0omp_m.o\
        $(ARITH)lr_core.o\
        $(ARITH)lr_type.o\
        $(ARITH)mumps_comm_buffer.o\
        $(ARITH)mumps_config_file.o\
        $(ARITH)mumps_intr_types.o\
        $(ARITH)mumps_lr_data_m.o\
        $(ARITH)mumps_mpi3_mod.o\
        $(ARITH)mumps_ooc_buffer.o\
        $(ARITH)mumps_ooc.o\
        $(ARITH)mumps_sol_es.o\
        $(ARITH)mumps_save_restore_files.o\
        $(ARITH)mumps_save_restore.o\
        $(ARITH)mumps_struc_def.o\
        $(ARITH)omp_tps_m.o\
        $(ARITH)sol_lr.o\
        $(ARITH)sol_omp_m.o\
        $(ARITH)static_ptr_m.o

OBJS_OTHER = \
        $(ARITH)ana_aux_ELT.o\
        $(ARITH)ana_dist_m.o\
        $(ARITH)ana_driver.o\
        $(ARITH)ana_LDLT_preprocess.o\
        $(ARITH)ana_reordertree.o\
        $(ARITH)arrowheads.o\
        $(ARITH)bcast_int.o\
        $(ARITH)end_driver.o\
        $(ARITH)fac_asm_ELT.o\
        $(ARITH)fac_asm.o\
        $(ARITH)fac_b.o\
        $(ARITH)fac_diag.o\
        $(ARITH)fac_distrib_distentry.o\
        $(ARITH)fac_dist_arrowheads_omp.o\
        $(ARITH)fac_distrib_ELT.o\
        $(ARITH)fac_driver.o\
        $(ARITH)fac_lastrtnelind.o\
        $(ARITH)fac_mem_alloc_cb.o\
        $(ARITH)fac_mem_compress_cb.o\
        $(ARITH)fac_mem_free_block_cb.o\
        $(ARITH)fac_mem_stack_aux.o\
        $(ARITH)fac_mem_stack.o\
        $(ARITH)fac_process_band.o\
        $(ARITH)fac_process_blfac_slave.o\
        $(ARITH)fac_process_blocfacto_LDLT.o\
        $(ARITH)fac_process_blocfacto.o\
        $(ARITH)fac_process_bf.o\
        $(ARITH)fac_process_end_facto_slave.o\
        $(ARITH)fac_process_contrib_type1.o\
        $(ARITH)fac_process_contrib_type2.o\
        $(ARITH)fac_process_contrib_type3.o\
        $(ARITH)fac_process_maprow.o\
        $(ARITH)fac_process_master2.o\
        $(ARITH)fac_process_message.o\
        $(ARITH)fac_process_root2slave.o\
        $(ARITH)fac_process_root2son.o\
        $(ARITH)fac_process_rtnelind.o\
        $(ARITH)fac_root_parallel.o\
        $(ARITH)fac_scalings.o\
        $(ARITH)fac_determinant.o\
        $(ARITH)fac_scalings_simScaleAbs.o\
        $(ARITH)fac_scalings_simScale_util.o\
        $(ARITH)fac_sol_pool.o\
        $(ARITH)fac_type3_symmetrize.o\
        $(ARITH)ini_defaults.o\
        $(ARITH)ini_driver.o\
        $(ARITH)mumps_c.o\
        $(ARITH)mumps_driver.o\
        $(ARITH)mumps_f77.o\
        $(ARITH)mumps_gpu.o\
        $(ARITH)mumps_iXamax.o\
        $(ARITH)ana_mtrans.o\
        $(ARITH)ooc_panel_piv.o\
        $(ARITH)rank_revealing.o\
        $(ARITH)sol_aux.o\
        $(ARITH)sol_bwd_aux.o\
        $(ARITH)sol_bwd.o\
        $(ARITH)sol_c.o\
        $(ARITH)sol_distrhs.o\
        $(ARITH)sol_distsol.o\
        $(ARITH)sol_driver.o\
        $(ARITH)sol_fwd_aux.o\
        $(ARITH)sol_fwd.o\
        $(ARITH)sol_matvec.o\
        $(ARITH)sol_root_parallel.o\
        $(ARITH)tools.o\
        $(ARITH)type3_root.o

include $(topdir)/Makefile.inc

$(incdir)/mumps_int_def.h: mumps_int_def32_h.in  mumps_int_def64_h.in
	if echo " $(OPTC) " | grep DINTSIZE64; then cat mumps_int_def64_h.in > $(incdir)/mumps_int_def.h; else cat mumps_int_def32_h.in > $(incdir)/mumps_int_def.h; fi

$(libdir)/libmumps_common$(PLAT)$(LIBEXT):      $(OBJS_COMMON_MOD) $(OBJS_COMMON_OTHER) $(OBJS_C_COMMON)
	$(AR)$@ $?
	$(RANLIB) $@

$(libdir)/libmumps_common$(PLAT)$(LIBEXT_SHARED):      $(OBJS_COMMON_MOD) $(OBJS_COMMON_OTHER) $(OBJS_C_COMMON)
	$(FC) $(OPTL) $(SHARED_OPT) $^ -Wl,$(SONAME),libmumps_common$(PLAT)$(LIBEXT_SHARED) -L$(libdir) $(RPATH_OPT) $(LORDERINGS) $(LIBS) $(LIBOTHERS) -o $@ 

$(libdir)/lib$(ARITH)mumps$(PLAT)$(LIBEXT):    $(OBJS_MOD_ARITHDEP) $(OBJS_OTHER)
	$(AR)$@ $?
	$(RANLIB) $@

$(libdir)/lib$(ARITH)mumps$(PLAT)$(LIBEXT_SHARED):    $(OBJS_MOD_ARITHDEP) $(OBJS_OTHER) $(libdir)/libmumps_common$(PLAT)$(LIBEXT_SHARED)
	$(FC) $(OPTL) $(SHARED_OPT) $(OBJS_MOD_ARITHDEP) $(OBJS_OTHER) -L$(libdir) $(LORDERINGS) $(LIBS) $(LIBOTHERS) -lmumps_common$(PLAT) -o $@ $(RPATH_OPT)


# Dependencies between modules:
# i) arithmetic-dependent modules:
$(ARITH)ana_aux.o:              $(ARITH)mumps_struc_def.o \
                                mumps_static_mapping.o \
                                ana_orderings_wrappers_m.o \
                                ana_blk_m.o
$(ARITH)ana_aux_par.o:          $(ARITH)mumps_struc_def.o \
                                mumps_memory_mod.o \
                                ana_orderings_wrappers_m.o \
                                tools_common_m.o
$(ARITH)ana_lr.o:                $(ARITH)lr_core.o\
                                lr_stats.o\
                                lr_common.o\
                                ana_orderings_wrappers_m.o \
                                ana_blk_m.o 
$(ARITH)fac_asm_master_ELT_m.o: omp_tps_common_m.o \
                                fac_asm_build_sort_index_ELT_m.o \
                                lr_common.o \
                                $(ARITH)fac_mem_dynamic.o \
                                $(ARITH)lr_core.o \
                                $(ARITH)ana_lr.o \
                                $(ARITH)mumps_lr_data_m.o \
                                $(ARITH)mumps_intr_types.o \
                                $(ARITH)omp_tps_m.o \
                                mumps_comm_buffer_common.o \
                                mumps_load.o 

$(ARITH)fac_asm_master_m.o:     omp_tps_common_m.o \
                                fac_asm_build_sort_index_m.o \
                                lr_common.o \
                                $(ARITH)fac_mem_dynamic.o \
                                $(ARITH)lr_core.o \
                                $(ARITH)ana_lr.o \
                                $(ARITH)mumps_lr_data_m.o \
                                $(ARITH)mumps_intr_types.o \
                                $(ARITH)omp_tps_m.o \
                                mumps_comm_buffer_common.o \
                                mumps_load.o 

$(ARITH)fac_compact_factors_m.o:$(ARITH)fac_mem_dynamic.o

$(ARITH)fac_front_aux.o:        $(ARITH)lr_type.o\
                                lr_stats.o\
                                mumps_comm_buffer_common.o \
                                mumps_load.o\
                                $(ARITH)mumps_ooc.o\
                                mumps_ooc_common.o\
                                mumps_l0_omp_m.o \
                                mumps_pivnul_mod.o

$(ARITH)fac_front_LU_type1.o   : $(ARITH)fac_front_aux.o\
                                 $(ARITH)mumps_ooc.o\
                                 $(ARITH)fac_lr.o\
                                 $(ARITH)lr_type.o\
                                 $(ARITH)mumps_intr_types.o\
                                 lr_stats.o\
                                 $(ARITH)ana_lr.o\
                                 $(ARITH)mumps_lr_data_m.o\
                                 mumps_l0_omp_m.o\
                                 mumps_pivnul_mod.o

$(ARITH)fac_front_LU_type2.o   : $(ARITH)fac_front_aux.o\
                                 $(ARITH)fac_front_type2_aux.o\
                                 $(ARITH)mumps_ooc.o\
                                 mumps_comm_buffer_common.o \
                                 $(ARITH)fac_lr.o\
                                 $(ARITH)lr_core.o\
                                 $(ARITH)lr_type.o\
                                 lr_stats.o\
                                 $(ARITH)ana_lr.o\
                                 $(ARITH)mumps_intr_types.o\
                                 $(ARITH)mumps_lr_data_m.o\
                                 mumps_pivnul_mod.o

$(ARITH)fac_front_LDLT_type1.o : $(ARITH)fac_front_aux.o\
                                 $(ARITH)mumps_ooc.o\
                                 $(ARITH)fac_lr.o\
                                 $(ARITH)lr_type.o\
                                 lr_stats.o\
                                 $(ARITH)ana_lr.o\
                                 $(ARITH)mumps_lr_data_m.o\
                                 mumps_l0_omp_m.o\
                                 mumps_pivnul_mod.o

=== debian/changelog ===
mumps (5.8.1-1exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release
  * update to new scotch configuration
    - use $(SCOTCH_SONAME_SUFFIX) in debian's Makefile.inc scripts
    - build libmumps-64pord-*scotch using SCOTCH_SONAME_SUFFIX=_64
      for 64-bit indexing with 32-bit integers
      (_64i would provide 64-bit integers)
    - Build-Depends: libscotch-dev, libptscotch-dev,
      libscotch-64-dev, libptscotch-64-dev (>= 7.0.10~)
      (carry the version in libptscotch-64-dev only for ease of
      maintenance, assuming the other lib*scotch*-dev packages will
      follow the same version)

 -- Drew Parsons <dparsons@debian.org>  Wed, 05 Nov 2025 01:14:53 +0100

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,11 @@
  gfortran,
  libblas-dev | libopenblas-dev | libatlas-base-dev | libblas.so,
  liblapack-dev | libopenblas-dev | libatlas-base-dev | liblapack.so,
- libptscotch-dev (>= 5.1.7.dfsg-4),
  libscalapack-mpi-dev (>= 2.0.2),
  libscotch-dev,
+ libptscotch-dev,
+ libscotch-64-dev,
+ libptscotch-64-dev (>= 7.0.10~),
  mpi-default-dev
 Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/science-team/mumps.git
@@ -317,4 +319,3 @@
 Suggests:
  mpi-default-bin,
 Description: Example/test binaries using MUMPS
- MUMPS implements a direct solver for large sparse linear systems, with a

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/mpi-default-dev/debian_defaults

export DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

export DEB_BUILD_MAINT_OPTIONS=optimize=-lto

HAS_GCC_10 := $(shell if [ `mpifort -dumpversion` -ge 10 ]; then echo yes; fi )
ifeq (yes,$(HAS_GCC_10))
  BUILD_FLAGS_EXTRA = OPTF_DEBIAN="-fallow-argument-mismatch"
endif

# full 64-bit all integers. We're not ready for this.
#OPTC_64BIT = -DINTSIZE64 -DPORD_INTSIZE64
#OPTF_64BIT = -fdefault-integer-8

# 64 bit in MUMPS ordering (PORD) only
OPTC_64BIT = -DPORD_INTSIZE64
OPTF_64BIT =

BUILD_FLAGS_64BIT = OPTC_64BIT="$(OPTC_64BIT)" OPTF_64BIT="$(OPTF_64BIT)" SCOTCH_SONAME_SUFFIX=_64

# skip tests on these arches
ARCH_NO_TEST_LIST = sh4

empty :=
space := $(empty)$(empty)

# run tests, or not
RUNTEST=yes
ifneq (,$(findstring $(space)$(DEB_HOST_ARCH)$(space), $(space)$(ARCH_NO_TEST_LIST)$(space)))
  RUNTEST=no
endif
ifeq (nocheck,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
  RUNTEST=no
endif

# skip MPI tests on these arches
ARCH_NO_MPI_TEST_LIST = hurd-i386 m68k

# run MPI tests, or not
RUN_MPI_TEST=yes
ifneq (,$(findstring $(space)$(DEB_HOST_ARCH)$(space), $(space)$(ARCH_NO_MPI_TEST_LIST)$(space)))
  RUN_MPI_TEST=no
endif


%:
	dh $@

override_dh_auto_clean:
	cp -f debian/Makefile.seq.inc Makefile.inc
	dh_auto_clean
	rm -f src/build_mumps_int_def
	rm -rf lib Makefile.inc \
	  libmumps libmumps_seq libmumps_scotch libmumps_ptscotch \
	  libmumps64 libmumps64_seq libmumps64_scotch libmumps64_ptscotch
	rm -f PORD/lib/libpord*.a

override_dh_auto_build-indep:
	cp -f debian/Makefile.par.inc Makefile.inc
	cd src; make ../include/mumps_int_def.h

override_dh_auto_build-arch:
	mkdir lib
	echo "Building 64-bit MUMPS using $(BUILD_FLAGS_64BIT)"
	cp -f debian/Makefile.ptscotch.inc Makefile.inc
	$(MAKE) MUMPS_MPI=$(ARCH_DEFAULT_MPI_IMPL) $(BUILD_FLAGS_EXTRA) $(BUILD_FLAGS_64BIT) \
	    PLAT="_64pord_ptscotch" all allshared
	cp -a lib libmumps64_ptscotch
	$(MAKE) clean
	rm -f Makefile.inc
	cp -f debian/Makefile.scotch.inc Makefile.inc
	$(MAKE) MUMPS_MPI=$(ARCH_DEFAULT_MPI_IMPL) $(BUILD_FLAGS_EXTRA) $(BUILD_FLAGS_64BIT) \
	    PLAT="_64pord_scotch" all allshared
	cp -a lib libmumps64_scotch
	cp -af libseq/lib* libmumps64_scotch
	$(MAKE) clean
	rm -f Makefile.inc
	cp -f debian/Makefile.seq.inc Makefile.inc
	$(MAKE) MUMPS_MPI=$(ARCH_DEFAULT_MPI_IMPL) $(BUILD_FLAGS_EXTRA) $(BUILD_FLAGS_64BIT) PLAT="_64pord_seq" all allshared
	cp -a lib libmumps64_seq
	cp -af libseq/lib* libmumps64_seq
	$(MAKE) clean
	rm -f Makefile.inc
	cp -f debian/Makefile.par.inc Makefile.inc
	$(MAKE) MUMPS_MPI=$(ARCH_DEFAULT_MPI_IMPL) $(BUILD_FLAGS_EXTRA) $(BUILD_FLAGS_64BIT) PLAT="_64pord" all allshared
	cp -a lib libmumps64
	echo "Building 32-bit MUMPS"
	$(MAKE) clean
	rm -f Makefile.inc
	cp -f debian/Makefile.ptscotch.inc Makefile.inc
	$(MAKE) MUMPS_MPI=$(ARCH_DEFAULT_MPI_IMPL) $(BUILD_FLAGS_EXTRA) \
	    PLAT="_ptscotch" all allshared
	cp -a lib libmumps_ptscotch
	$(MAKE) clean
	rm -f Makefile.inc
	cp -f debian/Makefile.scotch.inc Makefile.inc
	$(MAKE) MUMPS_MPI=$(ARCH_DEFAULT_MPI_IMPL) $(BUILD_FLAGS_EXTRA) \
	    PLAT="_scotch" all allshared
	cp -a lib libmumps_scotch
	cp -af libseq/lib* libmumps_scotch
	$(MAKE) clean
	rm -f Makefile.inc
	cp -f debian/Makefile.seq.inc Makefile.inc
	$(MAKE) MUMPS_MPI=$(ARCH_DEFAULT_MPI_IMPL) $(BUILD_FLAGS_EXTRA) PLAT="_seq" all allshared
	cp -a lib libmumps_seq
	cp -af libseq/lib* libmumps_seq
	$(MAKE) clean
	rm -f Makefile.inc
	cp -f debian/Makefile.par.inc Makefile.inc
	$(MAKE) MUMPS_MPI=$(ARCH_DEFAULT_MPI_IMPL) $(BUILD_FLAGS_EXTRA) all allshared
	cp -a lib libmumps

ifeq (yes,$(findstring yes,$(RUNTEST)))
override_dh_auto_test-indep:
	echo "Tests run only for arch builds."

override_dh_auto_test-arch:
	cp -a Makefile.inc Makefile.inc.build || /bin/true
	LD_LIBRARY_PATH=$(CURDIR)/lib ./debian/tests/mumps-examples-serial
	LD_LIBRARY_PATH=$(CURDIR)/libmumps64 ./debian/tests/mumps64-examples-serial
ifeq (yes,$(findstring yes,$(RUN_MPI_TEST)))
	LD_LIBRARY_PATH=$(CURDIR)/libmumps64 ./debian/tests/mumps64-examples-mpi
	LD_LIBRARY_PATH=$(CURDIR)/lib ./debian/tests/mumps-examples-mpi
endif
	mv Makefile.inc.build Makefile.inc || /bin/true
endif

override_dh_auto_install-indep:
	echo "No make-based install required for arch-independent builds."

## mumps 5.8.2

=== Makefile ===
#
#  This file is part of MUMPS 5.8.2, released
#  on Mon Jan 12 15:17:08 UTC 2026
#
topdir = .
libdir = $(topdir)/lib

default: d

.PHONY: default clean
.PHONY: all s d c z prerequisites libseqneeded
.PHONY: allshared sshared dshared cshared zshared prerequisitesshared libseqneededsharedlibseq sharedlibseq

all: prerequisites
	cd src; $(MAKE) all
	cd examples; $(MAKE) all

s: prerequisites
	cd src; $(MAKE) s
	cd examples; $(MAKE) s

d: prerequisites
	cd src; $(MAKE) d
	cd examples; $(MAKE) d

c: prerequisites
	cd src; $(MAKE) c
	cd examples; $(MAKE) c

z: prerequisites
	cd src; $(MAKE) z
	cd examples; $(MAKE) z


allshared: prerequisitesshared
	cd src; $(MAKE) allshared
	cd examples; $(MAKE) all

sshared: prerequisitesshared
	cd src; $(MAKE) sshared
	cd examples; $(MAKE) s

dshared: prerequisitesshared
	cd src; $(MAKE) dshared
	cd examples; $(MAKE) d

cshared: prerequisitesshared
	cd src; $(MAKE) cshared
	cd examples; $(MAKE) c

zshared: prerequisitesshared
	cd src; $(MAKE) zshared
	cd examples; $(MAKE) z


# Is Makefile.inc available ?
Makefile.inc:
	@echo "######################################################################"
	@echo "# BEFORE COMPILING MUMPS, YOU MUST HAVE AN APPROPRIATE Makefile.inc"
	@echo "# FILE AVAILABLE. PLEASE CHECK THE DIRECTORY ./Make.inc FOR EXAMPLES"
	@echo "# OF Makefile.inc FILES, AND USE Make.inc/Makefile.inc.generic IF YOU"
	@echo "# NEED TO BUILD A NEW ONE. SEE ALSO THE README AND INSTALL FILES"
	@echo "######################################################################"
	@exit 1

include Makefile.inc

prerequisites: Makefile.inc $(LIBSEQNEEDED) $(libdir)/libpord$(PLAT)$(LIBEXT)

prerequisitesshared: Makefile.inc $(LIBSEQNEEDED)sharedlibseq $(libdir)/libpord$(PLAT)$(LIBEXT_SHARED)

# Rules for fake MPI library used to avoid using MPI:
#
# If $(LIBSEQNEEDED) is empty, prerequisitesshared includes a dependenecy on
# the sharedlibseq suffix dependency which we always satisfy

sharedlibseq:

libseqneeded:
	(cd libseq; $(MAKE))
	(cp libseq/lib* $(libdir))

libseqneededsharedlibseq:
	(cd libseq; $(MAKE) sharedlibmpiseq)
	(cp libseq/lib* $(libdir))

# Build the libpord.a library and copy it into $(topdir)/lib
$(libdir)/libpord$(PLAT)$(LIBEXT):
	if [ "$(LPORDDIR)" != "" ] ; then \
	  cd $(LPORDDIR); \
	  $(MAKE) CC="$(CC)" PLAT="$(PLAT)" CFLAGS="$(OPTC)" AR="$(AR)" RANLIB="$(RANLIB)" OUTC="$(OUTC)" LIBEXT="$(LIBEXT)" LIBEXT_SHARED="$(LIBEXT_SHARED)" libpord$(PLAT)$(LIBEXT); \
	fi;
	if [ "$(LPORDDIR)" != "" ] ; then \
	  cp $(LPORDDIR)/libpord$(PLAT)$(LIBEXT) $@; \
	fi;

$(libdir)/libpord$(PLAT)$(LIBEXT_SHARED):
	if [ "$(LPORDDIR)" != "" ] ; then \
	  cd $(LPORDDIR); \
	  $(MAKE) PLAT="$(PLAT)" FPIC="$(FPIC_OPT)" CC="$(CC)" CFLAGS="$(OPTC)" AR="$(AR)" RANLIB="$(RANLIB)" OUTC="$(OUTC)" LIBEXT="$(LIBEXT)" LIBEXT_SHARED="$(LIBEXT_SHARED)" libpord$(PLAT)$(LIBEXT_SHARED); \
	fi;
	if [ "$(LPORDDIR)" != "" ] ; then \
	  cp $(LPORDDIR)/libpord$(PLAT)$(LIBEXT_SHARED) $@; \
	fi;




clean:
	(cd src; $(MAKE) clean)
	(cd examples; $(MAKE) clean)
	(cd $(libdir); $(RM) lib*$(PLAT)$(LIBEXT) lib*$(PLAT)$(LIBEXT_SHARED))
	(cd libseq; $(MAKE) clean)
	if [ "$(LPORDDIR)" != "" ] ; then \
	  cd $(LPORDDIR); $(MAKE) CC="$(CC)" CFLAGS="$(OPTC)" AR="$(AR)" RANLIB="$(RANLIB)" OUTC="$(OUTC)" LIBEXT="$(LIBEXT)" LIBEXT_SHARED="$(LIBEXT_SHARED)" PLAT="$(PLAT)" realclean; \
        fi;

=== examples/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
-#  This file is part of MUMPS 5.8.1, released
-#  on Wed Jul 30 16:49:18 UTC 2025
+#  This file is part of MUMPS 5.8.2, released
+#  on Mon Jan 12 15:17:08 UTC 2026
 #
 topdir = ..
 libdir = $(topdir)/lib

=== libseq/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
-#  This file is part of MUMPS 5.8.0, released
-#  on Tue May  6 08:27:40 UTC 2025
+#  This file is part of MUMPS 5.8.2, released
+#  on Mon Jan 12 15:17:08 UTC 2026
 #
 all: staticlibmpiseq

=== src/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
-#  This file is part of MUMPS 5.8.1, released
-#  on Wed Jul 30 16:49:18 UTC 2025
+#  This file is part of MUMPS 5.8.2, released
+#  on Mon Jan 12 15:17:08 UTC 2026
 #
 #
 topdir = ..

=== debian/changelog ===
mumps (5.8.2-1ubuntu1) resolute; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - autopkgtest: copy debian/changelog for ELF package metadata

 -- Benjamin Drung <bdrung@ubuntu.com>  Sat, 07 Feb 2026 22:01:47 +0100

mumps (5.8.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Standards-Version: 4.7.3

 -- Drew Parsons <dparsons@debian.org>  Mon, 02 Feb 2026 12:03:11 +0100

mumps (5.8.1-2ubuntu1) resolute; urgency=medium

  * autopkgtest: copy debian/changelog for ELF package metadata (LP: #2134532)

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 21 Jan 2026 11:43:28 +0100

mumps (5.8.1-2build1) resolute; urgency=medium

  * Rebuild against new slepc/petsc/petsc4py/scotch/mumps libraries.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 12 Dec 2025 20:16:03 +0100

mumps (5.8.1-2) unstable; urgency=medium

  * Team upload.
  * upload to unstable for transition #1121012
  * reinstate MPI build tests (fixed by openmpi 5.0.9-1)

 -- Drew Parsons <dparsons@debian.org>  Fri, 21 Nov 2025 01:00:46 +0100

mumps (5.8.1-1exp2) experimental; urgency=medium

  * Team upload.
  * disable all MPI build tests pending resolution of Bug#1120481

 -- Drew Parsons <dparsons@debian.org>  Mon, 10 Nov 2025 20:39:22 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: mumps
 Section: devel
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders:
  "Adam C. Powell, IV" <hazelsct@debian.org>,
 Build-Depends: dpkg-dev (>= 1.22.5),
@@ -15,7 +16,7 @@
  libscotch-64-dev,
  libptscotch-64-dev (>= 7.0.10~),
  mpi-default-dev
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Git: https://salsa.debian.org/science-team/mumps.git
 Vcs-Browser: https://salsa.debian.org/science-team/mumps
 Homepage: http://mumps-solver.org/
@@ -318,4 +319,3 @@
  ${shlibs:Depends},
 Suggests:
  mpi-default-bin,
-Description: Example/test binaries using MUMPS
